Skip to main content
GET
/
ws
/
1.1
/
album.tracks.get
album.tracks.get
curl --request GET \
  --url 'https://api.musixmatch.com/ws/1.1/album.tracks.get?apikey='
{ "message": { "body": { "track_list": [ { "track": { "album_id": 32540723, "album_name": "Revolver (Remastered)", "artist_id": 160, "artist_name": "The Beatles", "commontrack_id": 70591, "commontrack_isrcs": [ [ "GBAYE0601493" ] ], "explicit": 0, "has_lyrics": 1, "has_richsync": 1, "has_subtitles": 1, "instrumental": 0, "num_favourite": 297, "primary_genres": { "music_genre_list": [ { "music_genre": { "music_genre_id": 1133, "music_genre_name": "Pop/Rock", "music_genre_name_extended": "Pop / Pop/Rock", "music_genre_parent_id": 14, "music_genre_vanity": "Pop-Pop-Rock" } }, { "music_genre": { "music_genre_id": 21, "music_genre_name": "Rock", "music_genre_name_extended": "Rock", "music_genre_parent_id": 34, "music_genre_vanity": "Rock" } } ] }, "restricted": 0, "track_edit_url": "https://www.musixmatch.com/lyrics/The-Beatles/taxman-remastered-2009/edit?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950", "track_id": 170615520, "track_isrc": "GBAYE0601493", "track_length": 159, "track_lyrics_translation_status": [ { "from": "en", "perc": 0.96, "to": "cs" }, { "from": "en", "perc": 1, "to": "fr" }, { "from": "en", "perc": 1, "to": "de" }, { "from": "en", "perc": 1, "to": "id" }, { "from": "en", "perc": 0.96, "to": "it" }, { "from": "en", "perc": 0.96, "to": "ja" }, { "from": "en", "perc": 1, "to": "ko" }, { "from": "en", "perc": 1, "to": "fa" }, { "from": "en", "perc": 0.96, "to": "pl" }, { "from": "en", "perc": 1, "to": "pt" }, { "from": "en", "perc": 1, "to": "ru" }, { "from": "en", "perc": 1, "to": "es" }, { "from": "en", "perc": 1, "to": "th" }, { "from": "en", "perc": 0.96, "to": "tr" } ], "track_name": "Taxman - Remastered 2009", "track_rating": 64, "track_share_url": "https://www.musixmatch.com/lyrics/The-Beatles/taxman-remastered-2009?utm_source=application&utm_campaign=api&utm_medium=musiXmatch+-+internal+use%3A1409624942950", "track_spotify_id": "4BRkPBUxOYffM2QXVlq7aC", "updated_time": "2024-08-26T13:15:47Z" } } ] }, "header": { "available": 14, "execute_time": 0.0089790821075439, "status_code": 200 } } }

Authorizations

apikey
string
query
required

Query Parameters

album_id
string
required

The Musixmatch album ID.

Example:

"32540723"

f_has_lyrics
string

When set (that is, value = 1), only content containing lyrics is returned. Indicating '0' as the value results in returning both tracks with and without lyrics.

Example:

"1"

page
string

Define the page number for paginated results.

Example:

"1"

page_size
string

Define the page size for paginated results. The allowed range is 1 to 100.

Example:

"5"

Response

200 - application/json

200 OK / 401 Unauthorized / 404 Not Found

message
object